Bug 1469988 - nfs-ganesha: Revert fixes needed to run NFS-Ganesha in RHGS as non-root user
nfs-ganesha: Revert fixes needed to run NFS-Ganesha in RHGS as non-root user
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.3
All All
unspecified Severity urgent
: ---
: RHGS 3.3.0
Assigned To: Soumya Koduri
Manisha Saini
:
Depends On:
Blocks: 1417151
  Show dependency treegraph
 
Reported: 2017-07-12 04:33 EDT by Soumya Koduri
Modified: 2017-09-21 00:47 EDT (History)
8 users (show)

See Also:
Fixed In Version: nfs-ganesha-2.4.4-15
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-21 00:47:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soumya Koduri 2017-07-12 04:33:18 EDT
Description of problem:

There were few fixes needed to be able to run NFS-Ganesha as non-root user (for bug1450836). 
Changes which went in to 
* nfs-ganesha build are as part of bug1450836 & bug1465536 
* glusterfs codebase - 1459972


But since the changes in nfs-ganesha codebase have caused regressions, it was decided to drop this feature support in RHGS 3.3.0 for now and to be added in future.

This bug is to revert those changes from RHGS 3.3.0 nfs-ganesha code base (i.e, bug1450836 & bug1465536 fixes)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Manisha Saini 2017-07-14 13:30:28 EDT
AS the build is available to QE which do not have non-root user fixes,Hence moving this bug to verified state.

# rpm -qa | grep ganesha
nfs-ganesha-2.4.4-15.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.4-15.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-33.el7rhgs.x86_64
Comment 6 errata-xmlrpc 2017-09-21 00:47:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2779

Note You need to log in before you can comment on or make changes to this bug.